<?php
namespace FiloBlu\Eva\Block;


class SetupDataProvider
{
    public function getDefaultBlocks() {
        $defaultBlocks = [
            [
                'title' => 'Stripbar Left text',
                'identifier' => 'header_strip_left_text',
                'content' => '<p>Stripbar left text</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Stripbar central text',
                'identifier' => 'header_strip_center_text',
                'content' => '<p>Stripbar center text</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Stripbar right text',
                'identifier' => 'header_strip_right_text',
                'content' => '<p>Stripbar right text</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Popular search terms',
                'identifier' => 'popular_search',
                'content' => '<p>{{widget type="Magento\Catalog\Block\Category\Widget\Link" title="abbigliamento uomo" template="category/widget/link/link_block.phtml" id_path="category/3"}}</p><p>{{widget type="Magento\Catalog\Block\Category\Widget\Link" anchor_text="T-Shirt Donna" title="t-shirt donna" template="category/widget/link/link_block.phtml" id_path="category/3"}}</p><p>{{widget type="Magento\Catalog\Block\Category\Widget\Link" anchor_text="Giubotti Uomo" title="giubotti uomo" template="category/widget/link/link_block.phtml" id_path="category/3"}}</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'First footer block',
                'identifier' => 'footer_block_1',
                'content' => '<div class="cms-menu-wrapper">
                                <p class="menu-title">Custom Title</p>
                                <ul class="menu-list">
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                </ul>
                                </div>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Second footer block',
                'identifier' => 'footer_block_2',
                'content' => '<div class="cms-menu-wrapper">
                                <p class="menu-title">Custom Title</p>
                                <ul class="menu-list">
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                </ul>
                                </div>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Third footer block',
                'identifier' => 'footer_block_3',
                'content' => '<div class="cms-menu-wrapper">
                                <p class="menu-title">Custom Title</p>
                                <ul class="menu-list">
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                </ul>
                                </div>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Fourth footer block',
                'identifier' => 'footer_block_4',
                'content' => '<div class="cms-menu-wrapper">
                                <p class="menu-title">Custom Title</p>
                                <ul class="menu-list">
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                </ul>
                                </div>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Fifth footer block',
                'identifier' => 'footer_block_5',
                'content' => '<div class="cms-menu-wrapper">
                                <p class="menu-title">Custom Title</p>
                                <ul class="menu-list">
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                <li class="menu-item">{{widget type="FiloBlu\Eva\Block\Widget\LinkWidget" template="FiloBlu_Eva::content/widget/link-widget.phtml" link_type="5" custom_link_text="Custom Text" link_custom="#"}}</li>
                                </ul>
                                </div>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Footer newsletter title',
                'identifier' => 'footer-newsletter-title',
                'content' => '<p>Iscriviti alla nostra newsletter</p><p>Lorem ipsum dolor sit amet, consectetur adipisicing.</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Newsletter popup text',
                'identifier' => 'newsletter-popup-text',
                'content' => '<p>Want to stay in the loop?</p><p>Subscribe to our newsletter to be always up-the-date on <strong>this store</strong> world. For you, an exclusive 10% off on your first purchase.</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
        ];

        return $defaultBlocks;
    }

    public function getPrivacyBlocks() {
        $privacyBlocks =[
            [
                'title' => 'Sign in privacy policy',
                'identifier' => 'registration_privacy_policy',
                'content' => '<p>As an interested party, having read the <a href=\"{{store url=\"privacy-and-cookie-policy\"}}\">Privacy Policy</a> made pursuant to art. 13 D.Lgs. 196/2003 and s.m.i., expressly consent to the processing of my personal data for registration on the Site.</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Newsletter privacy policy',
                'identifier' => 'newsletter_privacy_policy',
                'content' => '<p>As an interested party, having read the <a href="{{store url="privacy-and-cookie-policy/"}}">Privacy Policy</a> statement drawn up pursuant to art. 13 D.Lgs. 196/2003 and subsequent amendments, I expressly consent to the processing of my personal data for commercial purposes by {{config path="general/store_information/name"}}, including sending marketing communications (using telematic methods - such as for example newsletters and e- mail with invitations and commercial communications - and traditional methods, such as paper mail)</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Back to stock privacy policy',
                'identifier' => 'back_stock_privacy_policy',
                'content' => '<p>As an interested party, having read the <a href="{{store url="privacy-and-cookie-policy"}}">Privacy Policy</a> made pursuant to art. 13 D.Lgs. 196/2003 and s.m.i., expressly consent to the processing of my personal data for replying to my information request about product availability by {{config path="general/store_information/name"}}.</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Contact privacy policy',
                'identifier' => 'contact_privacy_disclaimer',
                'content' => '<p>As an interested party, having read the <a href="{{store url="privacy-and-cookie-policy"}}">Privacy Policy</a> made pursuant to art. 13 D.Lgs. 196/2003 and s.m.i., expressly consent to the processing of my personal data for replying to my information request by {{config path="general/store_information/name"}}.</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
            [
                'title' => 'Work with us privacy policy',
                'identifier' => 'work-with-us-legal-check',
                'content' => '<p>As an interested party, having read the <a href="{{store url="work-with-us-privacy-policy/"}}">Privacy Policy</a> made pursuant to art. 13 D.Lgs. 196/2003 and s.m.i., expressly consent to the processing of my personal data for selection of employees</p>',
                'is_active' => 1,
                'stores' => [0],
                'sort_order' => 0
            ],
        ];
        return $privacyBlocks;
    }
}